Cancel an outstanding review request
DELETE/api/repos/{owner}/{repo}/pulls/{number}/review_requests/{reviewer_id}
cancelReviewRequest
Requires authentication using a bearer token or a session cookie — see tokens and scopes.
curl
curl -X DELETE 'https://neosource.dev/api/repos/OWNER/REPO/pulls/NUMBER/review_requests/REVIEWER_ID' \
-H 'Authorization: Bearer $NEOSOURCE_TOKEN'fetch
fetch("https://neosource.dev/api/repos/OWNER/REPO/pulls/NUMBER/review_requests/REVIEWER_ID", {
method: "DELETE",
headers: {
Authorization: "Bearer $NEOSOURCE_TOKEN",
},
});Path parameters
ownerrequiredreporequirednumberrequiredreviewer_idrequired
Responses
204Review request cancelled
Standard errors
Bodies documented once for the whole API — see standard errors.
- 400Bad Request — one of: invalid_input
- 401Authentication required
- 403Forbidden — one of: forbidden
- 404Not Found — one of: not_found
- 409Conflict — one of: already_exists, conflict, non_fast_forward, github_sync_active
- 423Locked — one of: busy
- 429Rate limited — retry after the `Retry-After` header
- 500Internal server error
- 503Service temporarily unavailable / at capacity — retry after the `Retry-After` header
- 504Gateway timeout — the request exceeded the server's handling budget